EXEC sp_rename 'Коды_телеметрии.Код_SCADA', 'Код_MicroSCADA', 'COLUMN'
GO
ALTER TABLE Коды_телеметрии ADD Код_Омь int NULL
ALTER TABLE Коды_телеметрии ALTER COLUMN Код_ММО int NULL
ALTER TABLE Коды_телеметрии ADD Код_типа_значения_изм int NULL
ALTER TABLE Коды_телеметрии ADD FOREIGN KEY (Код_типа_значения_изм)
    REFERENCES Спр_типов_значений_измерений
GO
ALTER TABLE Коды_телеметрии ADD Код_связи int IDENTITY(1,1)

GO

-- Удаляем старый первичный ключ
DECLARE @pkName Varchar(255)

SET @pkName= (
    SELECT [name] FROM sysobjects
        WHERE [xtype] = 'PK'
        AND [parent_obj] = OBJECT_ID(N'[dbo].[Коды_телеметрии]')
)
DECLARE @dropSql varchar(4000)

SET @dropSql=
    'ALTER TABLE [dbo].[Коды_телеметрии]
        DROP CONSTRAINT ['+@PkName+']'
EXEC(@dropSql)

GO

ALTER TABLE Коды_телеметрии ADD PRIMARY KEY (Код_связи)